Loading...
Searching...
No Matches
lirc.client.CommandConnection Class Reference
Python client bindings » Classes to receive keypresses » Classes to send commands

Extends the parent with a send() method. More...

Inheritance diagram for lirc.client.CommandConnection:

## Public Member Functions

| __init__ (self, str socket_path=None)
| send (self,(bytearray, str) command)
| Send single line over socket.
Public Member Functions inherited from lirc.client.RawConnection
| __init__ (self, str socket_path=None, str prog=_DEFAULT_PROG)
str | readline (self, float timeout=None)
| Implements AbstractConnection.readline().
int | fileno (self)
| Implements AbstractConnection.fileno().
bool | has_data (self)
| Implements AbstractConnection.has_data().
| close (self)
| Implements AbstractConnection.close().
Public Member Functions inherited from lirc.client.AbstractConnection
| __enter__ (self)
| __exit__ (self, exc_type, exc, traceback)

## Additional Inherited Members

Protected Attributes inherited from lirc.client.RawConnection
| _socket = socket.fromfd(fd, socket.AF_UNIX, socket.SOCK_STREAM)
| _select = selectors.DefaultSelector()
| _buffer = bytearray(0)

## Detailed Description

Extends the parent with a send() method.

Definition at line 374 of file client.py.

## Constructor & Destructor Documentation

## __init__()

lirc.client.CommandConnection.__init__ | ( |  | self,
|  | str | socket_path = None )

Definition at line 376 of file client.py.

## Member Function Documentation

## send()

lirc.client.CommandConnection.send | ( |  | self,
|  | (bytearray, str) | command )

Send single line over socket.

Definition at line 380 of file client.py.

The documentation for this class was generated from the following file:

- client.py